Bug 200456 - System randomly freezes during normal use
System randomly freezes during normal use
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-27 15:52 EDT by Tadej Janež
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 09:59:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tadej Janež 2006-07-27 15:52:04 EDT
Description of problem:
System locks up completely during "normal use". By that, I mean having various
applications open and browsing the web. It happened 4 times last week, but I
still don't know what causes it. Curiously, last two times it happened during
loading a pdf file from web in Evince pdf viewer.
System stops suddenly and it doesn't respond to any key stroke or mouse
movement. Also tried to login remotely with ssh but this also failed. No trace
of the lockup in log messages.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2139_FC5
kernel-2.6.17-1.2157_FC5

How reproducible:
Haven't found a reliable way to reproduce it yet.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
System locks up.

Expected results:
System shoudn't lock up

Additional info:
Comment 1 Tadej Janež 2006-09-19 09:57:06 EDT
Same thing happens with kernels:
kernel-2.6.17-1.2174_FC5
kernel-2.6.17-1.2187_FC5

The system hasn't frozen in the last 14 days and I had hoped this bug has been
resolved by a kernel update, however, it happed again today with the latest FC5
kernel. I was working for 6 hours, I had firefox, evolution and a bunch of
terminals open, the system started to use swap a little and suddenly the picture
on the screen froze and I had to do a hard shutdown of my laptop.

I really don't know hot to provide more info, because I can't ssh into the
machine, the logs don't indicate anything, so it really is a sort of a 'hard'
freeze. I hope this will get resolved soon.
Comment 2 Dave Jones 2006-10-16 16:20:07 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Tadej Janež 2006-10-25 07:45:15 EDT
I was hoping this was fixed with the latest kernel, but the crash happened again
yesterday (after a quite long time (14 days or so)).

The crash occured with:
kernel-2.6.18-1.2200.fc5
on an up2date Fedora Core 5 system.

When I was reading a thread "concerning X freeze recurring"
(https://www.redhat.com/archives/fedora-devel-list/2006-October/msg00343.html)
on fedora-devel this month, I discovered I have the exact same problem with my
Compaq Evo N800v laptop with Ati Radeon Mobility 7500 graphics card. The thread
didn't have a definite conclusion, so I don't know whether I should close this
bug and open a new bug against xorg or leave this bug open?
Comment 4 Dave Jones 2006-11-20 16:44:45 EST
I'll reassign this to Xorg. Maybe this is a radeon bug after all.  We can always
assign it back to kernel if that doesn't turn out to be the case.
Comment 5 Tadej Janež 2006-11-22 09:59:02 EST
Update to xorg-x11-drv-ati-6.6.3-1.fc6 seems to fix my problem,
so this bug can finally be closed.

Note You need to log in before you can comment on or make changes to this bug.